Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596964 - [RFE] system filtering, same search types should default to or instead of and
[RFE] system filtering, same search types should default to or instead of and
Status: NEW
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.5
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: beaker-dev-list
http://tinyurl.com/2uwajut
UX
: FutureFeature, Triaged
: 1328708 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 16:16 EDT by Jeff Burke
Modified: 2018-09-20 17:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2010-05-27 16:16:29 EDT
Description of problem:
 When filtering on the systems page if you are using the same criteria it should default to or not and.

http://tinyurl.com/2uwajut
Comment 1 Raymond Mancy 2010-05-27 17:05:14 EDT
I see what you mean. 
Perhaps though we should have another column which specifies the relationship. 
I can think of instances where we might want the relationship to be and (i.e System/Arch).
Comment 3 Jeff Burke 2011-02-15 08:17:56 EST
Folks,
 Why was this bz moved out to Future Feature. This is a big flaw with the way searching should work. Can this be discussed further. The examples I gave were
only for the bz this effect many other queries that we use on a day to day bases.
Now that RHTS is gone it is much more overhead to track the same things in Beaker.

Thanks,
Jeff
Comment 5 Raymond Mancy 2011-02-21 18:01:46 EST
I was thinking about this last night, how you would make this look intuitive.
I like the above example. Perhaps I can try an dmimick that with the and/or option.
Comment 6 Jeff Burke 2011-06-30 10:15:17 EDT
Any progress on this. With so many kernel maintainers now it is a PITA to have so many FF windows open to track the jobs
Comment 7 Raymond Mancy 2012-10-04 06:14:21 EDT
Sorry, no progress has been made towards this. I'd guess that the best chance of getting the kind of functionality you're after is with 860492, although it has not yet been given any target milestone.
Comment 10 Dan Callaghan 2016-04-20 02:41:55 EDT
*** Bug 1328708 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.